AggregatedSelectExpression (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface AggregatedSelectExpression

All Superinterfaces:
  SelectExpression

All Known Implementing Classes:
  ConstructorNode, MapEntryNode

    public interface AggregatedSelectExpression

extends SelectExpression

Contract for a select expression which aggregates other select expressions together into a single return

Method Summary
`String[]` | `getAggregatedAliases()` Retrieve the aliases for the columns aggregated here.
`List` | `getAggregatedSelectionTypeList()` Retrieves a list of the selection `types` being aggregated
`Class` | `getAggregationResultType()` Obtain the java type of the aggregation
`ResultTransformer` | `getResultTransformer()` Retrieve the `ResultTransformer` responsible for building aggregated select expression results into their aggregated form.

Methods inherited from interface org.hibernate.hql.internal.ast.tree.SelectExpression
`getAlias, getDataType, getFromElement, getScalarColumnIndex, isConstructor, isReturnableEntity, isScalar, setAlias, setScalarColumn, setScalarColumnText, setText`

Method Detail

### getAggregatedSelectionTypeList

    List getAggregatedSelectionTypeList()

  Retrieves a list of the selection `types` being aggregated

  Returns:
    The list of types.

### getAggregatedAliases

    String[] getAggregatedAliases()

  Retrieve the aliases for the columns aggregated here.

  Returns:
    The column aliases.

### getResultTransformer

    ResultTransformer getResultTransformer()

  Retrieve the `ResultTransformer` responsible for building aggregated select expression results into their aggregated form.

  Returns:
    The appropriate transformer

### getAggregationResultType

    Class getAggregationResultType()

  Obtain the java type of the aggregation

  Returns:
    The java type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.